Bug 59777 - [softpipe] piglit interpolation-noperspective-gl_BackColor-flat-distance regression
Summary: [softpipe] piglit interpolation-noperspective-gl_BackColor-flat-distance regr...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-01-23 20:21 UTC by Vinson Lee
Modified: 2016-07-09 00:10 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2013-01-23 20:21:47 UTC
$ ./bin/shader_runner generated_tests/spec/glsl-1.30/execution/interpolation/interpolation-noperspective-gl_BackColor-flat-distance.shader_test -auto
Probe at (159,45)
  Expected: 0.272727 0.181818 0.545455 1.000000
  Observed: 0.474510 0.160784 0.364706 1.000000
Probe at (192,38)
  Expected: 0.153846 0.153846 0.692308 1.000000
  Observed: 0.266667 0.133333 0.596078 1.000000
Probe at (216,33)
  Expected: 0.066667 0.133333 0.800000 1.000000
  Observed: 0.117647 0.117647 0.764706 1.000000
Probe at (166,83)
  Expected: 0.166667 0.333333 0.500000 1.000000
  Observed: 0.294118 0.294118 0.415686 1.000000
Probe at (196,71)
  Expected: 0.071429 0.285714 0.642857 1.000000
  Observed: 0.125490 0.250980 0.627451 1.000000
Probe at (136,136)
  Expected: 0.181818 0.545455 0.272727 1.000000
  Observed: 0.317647 0.478431 0.203922 1.000000
Probe at (173,115)
  Expected: 0.076923 0.461538 0.461538 1.000000
  Observed: 0.129412 0.403922 0.462745 1.000000
Probe at (145,166)
  Expected: 0.083333 0.666667 0.250000 1.000000
  Observed: 0.149020 0.603922 0.247059 1.000000
PIGLIT: {'result': 'fail' }


4a938ef7136a89c828ebb16effe1bc5bea08b7d7 is the first bad commit
commit 4a938ef7136a89c828ebb16effe1bc5bea08b7d7
Author: Brian Paul <brianp@vmware.com>
Date:   Mon Jan 21 11:32:49 2013 -0700

    draw: add new debug code and comments in clip code template
    
    In debug builds, set clipped vertex window coordinates to NaN values
    to help debugging.  Otherwise, we're just leaving the coordinate in clip
    space and it's invalid to use it later expecting it to be a window coord.
    
    Reviewed-by: José Fonseca <jfonseca@vmware.com>

:040000 040000 1c9a933b785f0a56ebf2f13874aacffc4183e976 b87acb6dca3e64abd30f9da1d7483ac61364fb9e M	src
bisect run success
Comment 1 Brian Paul 2013-02-16 17:34:39 UTC
This test was failing way before commit 4a938ef7136a89c828ebb16effe1bc5bea08b7d7
I don't know if it ever passed.
Comment 2 Vinson Lee 2014-05-31 06:37:13 UTC
This test is still failing on the 10.2 branch.

This test passes on the 9.0 branch and also fails on the 9.1 branch.
Comment 3 Vinson Lee 2016-03-22 02:27:22 UTC
mesa: 1e8435ce0cce671024ebf9c5465ea8bdcb563b69 (master 11.3.0-devel)

This test is now passing on softpipe.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.